XFcAudio class Reference

Main Page Class Hierarchy Alphabetical List Compound List File List Compound Members File Members

# XFcAudio Class Reference

Static audio interface. More...

List of all members.

## Static Public Member Functions

XFCIMPORT void * | lock (XFcAudioProducer *aProducer)
| Locks an audio producer.
XFCIMPORT void | unlock (XFcAudioProducer *aProducer)
| Unlocks an audio producer.
XFCIMPORT UINT32 | play (XFcAudioProducer *aProducer)
| Starts to play an audio producer.
XFCIMPORT UINT32 | play (XFcAudioProducer *aProducer, FLOAT32 aSamplingRate)
| Starts to play an audio producer with given sampling rate.
XFCIMPORT UINT32 | play (XFcAudioProducer *aProducer, FLOAT32 aSamplingRate, REAL aVolume)
| Starts to play an audio producer with given sampling rate and volume.
XFCIMPORT UINT32 | play (XFcAudioProducer *aProducer, FLOAT32 aSamplingRate, REAL aVolume, REAL aPanning)
| Starts to play an audio producer with given sampling rate, volume and panning.
XFCIMPORT UINT32 | play (XFcAudioProducer *aProducer, FLOAT32 aSamplingRate, REAL aVolume, REAL aPanning, UINT16 aPriority)
| Starts to play an audio producer with given sampling rate, volume, panning and priority.
XFCIMPORT INT | stop (UINT32 aUid)
| Stops an audio producer instance with the given id.
XFCIMPORT INT | stopEach (XFcAudioProducer *aProducer)
| Stops each instance of a certain audio producer.
XFCIMPORT void | stopAll ()
| Stops all playing audio producer instances.
XFCIMPORT INT | pause (UINT32 aUid)
| Pauses an audio producer instance with the given id.
XFCIMPORT INT | pauseEach (XFcAudioProducer *aProducer)
| Pauses each instance of a certain audio producer.
XFCIMPORT void | pauseAll ()
| Pauses all audio producers.
XFCIMPORT INT | resume (UINT32 aUid)
| Resumes an audio producer instance with the given id.
XFCIMPORT INT | resumeEach (XFcAudioProducer *aProducer)
| Resumes each instance of a certain audio producer.
XFCIMPORT void | resumeAll ()
| Resumes all playing audio producer instances.
XFCIMPORT INT32 | getSamples (XFcAudioProducer *aProducer)
| Returns the number of samples in an audio producer.
XFCIMPORT void | setSamples (XFcAudioProducer *aProducer, INT32 aSamples)
| Sets the number of samples in an audio producer.
XFCIMPORT INT | getLooping (UINT32 aUid)
| Returns looping information of an audio producer instance with the given id.
XFCIMPORT INT | getLooping (XFcAudioProducer *aProducer)
| Returns looping information of an audio producer.
XFCIMPORT INT | setLooping (UINT32 aUid, INT aLooping)
| Enables/disables looping of an audio producer instance with the given id.
XFCIMPORT void | setLooping (XFcAudioProducer *aProducer, INT aLooping)
| Enables/disables looping of an audio producer.
XFCIMPORT void | getLoopOffsets (UINT32 aUid, INT32 &aStartOffset, INT32 &aEndOffset)
| Returns loop offsets of an audio producer instance with the given id.
XFCIMPORT void | getLoopOffsets (XFcAudioProducer *aProducer, INT32 &aStartOffset, INT32 &aEndOffset)
| Returns loop offsets of an audio producer.
XFCIMPORT INT | setLoopOffsets (UINT32 aUid, INT32 aStartOffset, INT32 aEndOffset)
| Sets start and end loop offsets to an audio producer instance with the given id.
XFCIMPORT INT | setLoopOffsets (XFcAudioProducer *aProducer, INT32 aStartOffset, INT32 aEndOffset)
| Sets start and end loop offsets to an audio producer.
XFCIMPORT FLOAT32 | getSamplingRate (UINT32 aUid)
| Returns the sampling rate of an audio producer instance with given id.
XFCIMPORT FLOAT32 | getSamplingRate (XFcAudioProducer *aProducer)
| Returns the sampling rate of an audio producer.
XFCIMPORT INT | setSamplingRate (UINT32 aUid, FLOAT32 aSamplingRate)
| Sets the sampling rate of an audio producer instance with the given id.
XFCIMPORT void | setSamplingRate (XFcAudioProducer *aProducer, FLOAT32 aSamplingRate)
| Sets the sampling rate of an audio producer.
XFCIMPORT REAL | getVolume (UINT32 aUid)
| Returns the volume of an audio producer instance with the given id.
XFCIMPORT REAL | getVolume (XFcAudioProducer *aProducer)
| Returns the volume of an audio producer.
XFCIMPORT INT | setVolume (UINT32 aUid, REAL aVolume)
| Sets the volume of an audio producer instance with the given id.
XFCIMPORT void | setVolume (XFcAudioProducer *aProducer, REAL aVolume)
| Sets the volume of an audio producer.
XFCIMPORT REAL | getMasterVolume ()
| Returns the master volume.
XFCIMPORT void | setMasterVolume (REAL aVolume)
| Sets the master volume.
XFCIMPORT REAL | getPanning (UINT32 aUid)
| Returns the panning of an audio producer instance with the given id.
XFCIMPORT REAL | getPanning (XFcAudioProducer *aProducer)
| Returns the panning of an audio producer.
XFCIMPORT INT | setPanning (UINT32 aUid, REAL aPanning)
| Sets the panning of an audio producer instance with the given id.
XFCIMPORT void | setPanning (XFcAudioProducer *aProducer, REAL aPanning)
| Sets the panning of an audio producer.
XFCIMPORT UINT16 | getPriority (UINT32 aUid)
| Returns the priority of an audio producer instance with the given id.
XFCIMPORT UINT16 | getPriority (XFcAudioProducer *aProducer)
| Returns the priority of an audio producer.
XFCIMPORT INT | setPriority (UINT32 aUid, UINT16 aPriority)
| Sets the priority of an audio producer instance with the given id.
XFCIMPORT void | setPriority (XFcAudioProducer *aProducer, UINT16 aPriority)
| Sets the priority of an audio producer.
XFCIMPORT INT32 | getChannelCount ()
| Returns the number of channels.
XFCIMPORT INT | setChannelCount (INT32 aChannelCount)
| Sets the number of channels.
XFCIMPORT UINT32 | getInterpolation ()
| Returns the interpolation method.
XFCIMPORT INT | setInterpolation (UINT32 aMethod)
| Sets the interpolation method.
XFCIMPORT INT | isPlaying (UINT32 aUid)
| Returns information whether an audio producer instance with the given id is playing.
XFCIMPORT INT32 | getPlayhead (UINT32 aUid)
| Returns the playhead of an audio producer instance with the given id.
XFCIMPORT XFcAudioFormat | getFormat (XFcAudioProducer *aProducer)
| Returns the audio format of an audio producer.
XFCIMPORT XFcAudioFormat | getAudioFormat ()
| Returns the internal audio format of the audio system.
XFCIMPORT XFcAudioFormat | getHardwareAudioFormat ()
| Returns the hardware audio format.
XFCIMPORT XFcAudioFormat | setAudioFormat (XFcAudioFormat *aFormat, INT32 aChannelCount, UINT32 aInterpolation)
| Sets the hardware and internal audio formats.
XFCIMPORT XFcAudioFormat | getRecommendedAudioFormat ()
| Gets the recommended audio format for hardware and internal audio.
XFCIMPORT void | openAudio ()
| Re-initializes the hardware audio processing.
XFCIMPORT void | closeAudio ()
| Shuts down audio processing.
XFCIMPORT void | getPrimaryData (XFcAudioBuffer *aTarget, INT32 aOffset, INT32 aRequestSamples)
| Gets a copy of primary audio data for audio feedback effect purposes.

## Detailed Description

Static audio interface.

## Member Function Documentation

XFCIMPORT void XFcAudio::closeAudio | ( |  | ) | `[static]`

Shuts down audio processing.

Note:
  To play audio again, you must call either openAudio() or setAudioFormat() again.

XFCIMPORT XFcAudioFormat XFcAudio::getAudioFormat | ( |  | ) | `[static]`

Returns the internal audio format of the audio system.

Returns:
  Internal audio format.

XFCIMPORT INT32 XFcAudio::getChannelCount | ( |  | ) | `[static]`

Returns the number of channels.

Returns:
  Number of channels.

XFCIMPORT XFcAudioFormat XFcAudio::getFormat | ( | XFcAudioProducer * | aProducer | ) | `[static]`

Returns the audio format of an audio producer.

Parameters:

  aProducer | Audio producer.

Returns:
  Audio format.

XFCIMPORT XFcAudioFormat XFcAudio::getHardwareAudioFormat | ( |  | ) | `[static]`

Returns the hardware audio format.

Returns:
  Hardware audio format.

XFCIMPORT UINT32 XFcAudio::getInterpolation | ( |  | ) | `[static]`

Returns the interpolation method.

Returns:
  Interpolation method.

See also:
  XFCAUDIOINTERPOLATION

XFCIMPORT INT XFcAudio::getLooping | ( | XFcAudioProducer * | aProducer | ) | `[static]`

Returns looping information of an audio producer.

Parameters:

  aProducer | Audio producer.

Returns:
  1 if looping is enabled, 0 otherwise.

XFCIMPORT INT XFcAudio::getLooping | ( | UINT32 | aUid | ) | `[static]`

Returns looping information of an audio producer instance with the given id.

Parameters:

  aUid | Id of an audio producer instance.

Returns:
  1 if looping is enabled, 0 otherwise.

XFCIMPORT void XFcAudio::getLoopOffsets | ( | XFcAudioProducer * | aProducer,
|  | INT32 & | aStartOffset,
|  | INT32 & | aEndOffset
| ) | `[static]`

Returns loop offsets of an audio producer.

Parameters:

  aProducer | Audio producer.
  aStartOffset | Start offset is saved to this variable reference.
  aEndOffset | End offset is saved to this variable reference.

XFCIMPORT void XFcAudio::getLoopOffsets | ( | UINT32 | aUid,
|  | INT32 & | aStartOffset,
|  | INT32 & | aEndOffset
| ) | `[static]`

Returns loop offsets of an audio producer instance with the given id.

Parameters:

  aUid | Id of an audio producer instance.
  aStartOffset | Start offset is saved to this variable reference.
  aEndOffset | End offset is saved to this variable reference.

XFCIMPORT REAL XFcAudio::getMasterVolume | ( |  | ) | `[static]`

Returns the master volume.

Returns:
  Master volume.

Note:
  Not implemented yet.

XFCIMPORT REAL XFcAudio::getPanning | ( | XFcAudioProducer * | aProducer | ) | `[static]`

Returns the panning of an audio producer.

Parameters:

  aProducer | Audio producer.

Returns:
  Panning.

XFCIMPORT REAL XFcAudio::getPanning | ( | UINT32 | aUid | ) | `[static]`

Returns the panning of an audio producer instance with the given id.

Parameters:

  aUid | Id of an audio producer instance.

Returns:
  Panning.

XFCIMPORT INT32 XFcAudio::getPlayhead | ( | UINT32 | aUid | ) | `[static]`

Returns the playhead of an audio producer instance with the given id.

Parameters:

  aUid | Id of an audio producer instance.

Returns:
  Playhead.

XFCIMPORT void XFcAudio::getPrimaryData | ( | XFcAudioBuffer * | aTarget,
|  | INT32 | aOffset,
|  | INT32 | aRequestSamples
| ) | `[static]`

Gets a copy of primary audio data for audio feedback effect purposes.

Note:
  No guarantees about the resulting audio data is made.

XFCIMPORT UINT16 XFcAudio::getPriority | ( | XFcAudioProducer * | aProducer | ) | `[static]`

Returns the priority of an audio producer.

Parameters:

  aUid | Id of an audio producer instance.

Returns:
  Priority.

XFCIMPORT UINT16 XFcAudio::getPriority | ( | UINT32 | aUid | ) | `[static]`

Returns the priority of an audio producer instance with the given id.

Parameters:

  aUid | Id of an audio producer instance.

Returns:
  Priority.

XFCIMPORT XFcAudioFormat XFcAudio::getRecommendedAudioFormat | ( |  | ) | `[static]`

Gets the recommended audio format for hardware and internal audio.

Returns the audio format recommended for the currently running platform. The format may vary from platform to platform. The recommended values are what have been found to work on most cases with reasonably small audio latency.

Returns:
  Recommended audio format.

XFCIMPORT INT32 XFcAudio::getSamples | ( | XFcAudioProducer * | aProducer | ) | `[static]`

Returns the number of samples in an audio producer.

Parameters:

  aProducer | Audio producer.

Returns:
  Number of samples or 0 if audio producer is a stream.

XFCIMPORT FLOAT32 XFcAudio::getSamplingRate | ( | XFcAudioProducer * | aProducer | ) | `[static]`

Returns the sampling rate of an audio producer.

Parameters:

  aProducer | Audio producer.

Returns:
  Sample rate.

XFCIMPORT FLOAT32 XFcAudio::getSamplingRate | ( | UINT32 | aUid | ) | `[static]`

Returns the sampling rate of an audio producer instance with given id.

Parameters:

  aUid | Id of an audio producer instance.

Returns:
  Sample rate.

XFCIMPORT REAL XFcAudio::getVolume | ( | XFcAudioProducer * | aProducer | ) | `[static]`

Returns the volume of an audio producer.

Parameters:

  aProducer | Audio producer.

Returns:
  Volume.

XFCIMPORT REAL XFcAudio::getVolume | ( | UINT32 | aUid | ) | `[static]`

Returns the volume of an audio producer instance with the given id.

Parameters:

  aUid | Id of an audio producer instance.

Returns:
  Volume.

XFCIMPORT INT XFcAudio::isPlaying | ( | UINT32 | aUid | ) | `[static]`

Returns information whether an audio producer instance with the given id is playing.

Parameters:

  aUid | Id of an audio producer instance.

Returns:
  1 if instance is playing, 0 otherwise.

XFCIMPORT void* XFcAudio::lock | ( | XFcAudioProducer * | aProducer | ) | `[static]`

Locks an audio producer.

While an audio producer is locked, the audio system can not play it.

Parameters:

  aProducer | Audio producer to be locked.

Returns:
  Pointer to sample data.

XFCIMPORT void XFcAudio::openAudio | ( |  | ) | `[static]`

| Re-initializes the hardware audio processing.

XFCIMPORT INT XFcAudio::pause | ( | UINT32 | aUid | ) | `[static]`

Pauses an audio producer instance with the given id.

Parameters:

  aUid | Id of an audio producer instance.

Returns:
  1 is operation succeeded, 0 otherwise.

XFCIMPORT void XFcAudio::pauseAll | ( |  | ) | `[static]`

| Pauses all audio producers.

XFCIMPORT INT XFcAudio::pauseEach | ( | XFcAudioProducer * | aProducer | ) | `[static]`

Pauses each instance of a certain audio producer.

Parameters:

  aProducer | Audio producer.

Returns:
  1 is operation succeeded, 0 otherwise.

XFCIMPORT UINT32 XFcAudio::play | ( | XFcAudioProducer * | aProducer,
|  | FLOAT32 | aSamplingRate,
|  | REAL | aVolume,
|  | REAL | aPanning,
|  | UINT16 | aPriority
| ) | `[static]`

Starts to play an audio producer with given sampling rate, volume, panning and priority.

An unique id is returned so that individual playing instances can be referenced.

Parameters:

  aProducer | Audio producer to be played.
  aSamplingRate | Sample rate, from 0 to any value.
  aVolume | Volume, from 0 to any value. 1 is the original volume of the sample data.
  aPanning | Panning, from 0 to 1. 0 is left, 1 is right, 0.5 is center.
  aPriority | Priority, from 0 to 65535. Smaller number is higher priority.

Returns:
  An unique id for the playing instance of the producer.

XFCIMPORT UINT32 XFcAudio::play | ( | XFcAudioProducer * | aProducer,
|  | FLOAT32 | aSamplingRate,
|  | REAL | aVolume,
|  | REAL | aPanning
| ) | `[static]`

Starts to play an audio producer with given sampling rate, volume and panning.

An unique id is returned so that individual playing instances can be referenced.

Parameters:

  aProducer | Audio producer to be played.
  aSamplingRate | Sample rate, from 0 to any value.
  aVolume | Volume, from 0 to any value. 1 is the original volume of the sample data.
  aPanning | Panning, from 0 to 1. 0 is left, 1 is right, 0.5 is center.

Returns:
  An unique id for the playing instance of the producer.

XFCIMPORT UINT32 XFcAudio::play | ( | XFcAudioProducer * | aProducer,
|  | FLOAT32 | aSamplingRate,
|  | REAL | aVolume
| ) | `[static]`

Starts to play an audio producer with given sampling rate and volume.

An unique id is returned so that individual playing instances can be referenced.

Parameters:

  aProducer | Audio producer to be played.
  aSamplingRate | Sample rate, from 0 to any value.
  aVolume | Volume, from 0 to any value. 1 is the original volume of the sample data.

Returns:
  An unique id for the playing instance of the producer.

XFCIMPORT UINT32 XFcAudio::play | ( | XFcAudioProducer * | aProducer,
|  | FLOAT32 | aSamplingRate
| ) | `[static]`

Starts to play an audio producer with given sampling rate.

An unique id is returned so that individual playing instances can be referenced.

Parameters:

  aProducer | Audio producer to be played.
  aSamplingRate | Sample rate, from 0 to any value.

Returns:
  An unique id for the playing instance of the producer.

XFCIMPORT UINT32 XFcAudio::play | ( | XFcAudioProducer * | aProducer | ) | `[static]`

Starts to play an audio producer.

An unique id is returned so that individual playing instances can be referenced.

Parameters:

  aProducer | Audio producer to be played.

Returns:
  An unique id for the playing instance of the producer.

XFCIMPORT INT XFcAudio::resume | ( | UINT32 | aUid | ) | `[static]`

Resumes an audio producer instance with the given id.

Parameters:

  aUid | Id of an audio producer instance.

Returns:
  1 is operation succeeded, 0 otherwise.

XFCIMPORT void XFcAudio::resumeAll | ( |  | ) | `[static]`

| Resumes all playing audio producer instances.

XFCIMPORT INT XFcAudio::resumeEach | ( | XFcAudioProducer * | aProducer | ) | `[static]`

Resumes each instance of a certain audio producer.

Parameters:

  aProducer | Audio producer.

Returns:
  1 is operation succeeded, 0 otherwise.

XFCIMPORT XFcAudioFormat XFcAudio::setAudioFormat | ( | XFcAudioFormat * | aFormat,
|  | INT32 | aChannelCount,
|  | UINT32 | aInterpolation
| ) | `[static]`

Sets the hardware and internal audio formats.

Adjusts the hardware and internal audio formats by the given audio format, channel count and interpolation method.

Note:
  Calling this function initializes the audio system.

Parameters:

  aFormat | Requested audio format. Use NULL for default
  aChannelCount | Number of channels.
  aInterpolation | Interpolation method, one of XFCAUDIOINTERPOLATION.

Returns:
  Closest possible hardware format which could be achieved.

See also:
  XFCAUDIOINTERPOLATION

XFCIMPORT INT XFcAudio::setChannelCount | ( | INT32 | aChannelCount | ) | `[static]`

Sets the number of channels.

Parameters:

  aChannelCount | Number of channels.

Returns:
  1 if operation succeeds, 0 otherwise.

XFCIMPORT INT XFcAudio::setInterpolation | ( | UINT32 | aMethod | ) | `[static]`

Sets the interpolation method.

Parameters:

  aMethod | Interpolation method, one of XFCAUDIOINTERPOLATION.

Returns:
  1 if operation succeeds, 0 otherwise.

See also:
  XFCAUDIOINTERPOLATION

XFCIMPORT void XFcAudio::setLooping | ( | XFcAudioProducer * | aProducer,
|  | INT | aLooping
| ) | `[static]`

Enables/disables looping of an audio producer.

Parameters:

  aProducer | Audio producer.
  aLooping | 0 for looping disabled, otherwise looping enabled.

Note:
  Does not affect any playing instances.

XFCIMPORT INT XFcAudio::setLooping | ( | UINT32 | aUid,
|  | INT | aLooping
| ) | `[static]`

Enables/disables looping of an audio producer instance with the given id.

Parameters:

  aUid | Id of an audio producer instance.
  aLooping | 0 for looping disabled, otherwise looping enabled.

Returns:
  1 if operation succeeded, 0 otherwise.

XFCIMPORT INT XFcAudio::setLoopOffsets | ( | XFcAudioProducer * | aProducer,
|  | INT32 | aStartOffset,
|  | INT32 | aEndOffset
| ) | `[static]`

Sets start and end loop offsets to an audio producer.

Parameters:

  aProducer | Audio producer.
  aStartOffset | Start offset.
  aEndOffset | End offset.

Returns:
  1 if operation succeeded, 0 otherwise.

Note:
  Does not affect any playing instances.

XFCIMPORT INT XFcAudio::setLoopOffsets | ( | UINT32 | aUid,
|  | INT32 | aStartOffset,
|  | INT32 | aEndOffset
| ) | `[static]`

Sets start and end loop offsets to an audio producer instance with the given id.

Parameters:

  aUid | Id of an audio producer instance.
  aStartOffset | Start offset.
  aEndOffset | End offset.

Returns:
  1 if operation succeeded, 0 otherwise.

XFCIMPORT void XFcAudio::setMasterVolume | ( | REAL | aVolume | ) | `[static]`

Sets the master volume.

Parameters:

  aVolume | Master volume.

Note:
  Not implemented yet.

XFCIMPORT void XFcAudio::setPanning | ( | XFcAudioProducer * | aProducer,
|  | REAL | aPanning
| ) | `[static]`

Sets the panning of an audio producer.

Parameters:

  aProducer | Audio producer.
  aPanning | Panning, from 0 to 1. 0 is left, 1 is right, 0.5 is center.

Note:
  Does not affect any playing instances.

XFCIMPORT INT XFcAudio::setPanning | ( | UINT32 | aUid,
|  | REAL | aPanning
| ) | `[static]`

Sets the panning of an audio producer instance with the given id.

Parameters:

  aUid | Id of an audio producer instance.
  aPanning | Panning, from 0 to 1. 0 is left, 1 is right, 0.5 is center.

Returns:
  1 if operation succeeds, 0 otherwise.

XFCIMPORT void XFcAudio::setPriority | ( | XFcAudioProducer * | aProducer,
|  | UINT16 | aPriority
| ) | `[static]`

Sets the priority of an audio producer.

Parameters:

  aProducer | Audio producer.
  aPriority | Priority, from 0 to 65535. Smaller number is higher priority.

Note:
  Does not affect any playing instances.

XFCIMPORT INT XFcAudio::setPriority | ( | UINT32 | aUid,
|  | UINT16 | aPriority
| ) | `[static]`

Sets the priority of an audio producer instance with the given id.

Parameters:

  aUid | Id of an audio producer instance.
  aPriority | Priority, from 0 to 65535. Smaller number is higher priority.

Returns:
  1 if operation succeeds, 0 otherwise.

XFCIMPORT void XFcAudio::setSamples | ( | XFcAudioProducer * | aProducer,
|  | INT32 | aSamples
| ) | `[static]`

Sets the number of samples in an audio producer.

Parameters:

  aProducer | Audio producer.
  aSamples | Number of samples.

Note:
  Does not affect any playing instances.

XFCIMPORT void XFcAudio::setSamplingRate | ( | XFcAudioProducer * | aProducer,
|  | FLOAT32 | aSamplingRate
| ) | `[static]`

Sets the sampling rate of an audio producer.

Parameters:

  aProducer | Audio producer.
  aSamplingRate | Sample rate.

Note:
  Does not affect any playing instances.

XFCIMPORT INT XFcAudio::setSamplingRate | ( | UINT32 | aUid,
|  | FLOAT32 | aSamplingRate
| ) | `[static]`

Sets the sampling rate of an audio producer instance with the given id.

Parameters:

  aUid | Id of an audio producer instance.
  aSamplingRate | Sample rate.

Returns:
  1 if operation succeeded, 0 otherwise.

XFCIMPORT void XFcAudio::setVolume | ( | XFcAudioProducer * | aProducer,
|  | REAL | aVolume
| ) | `[static]`

Sets the volume of an audio producer.

Parameters:

  aProducer | Audio producer.
  aVolume | Volume, from 0 to any value. 1 is the original volume of the sample data.

Note:
  Does not affect any playing instances.

XFCIMPORT INT XFcAudio::setVolume | ( | UINT32 | aUid,
|  | REAL | aVolume
| ) | `[static]`

Sets the volume of an audio producer instance with the given id.

Parameters:

  aUid | Id of an audio producer instance.
  aVolume | Volume, from 0 to any value. 1 is the original volume of the sample data.

Returns:
  1 if operation succeeds, 0 otherwise.

XFCIMPORT INT XFcAudio::stop | ( | UINT32 | aUid | ) | `[static]`

Stops an audio producer instance with the given id.

Parameters:

  aUid | Id of an audio producer instance.

Returns:
  1 is operation succeeded, 0 otherwise.

XFCIMPORT void XFcAudio::stopAll | ( |  | ) | `[static]`

| Stops all playing audio producer instances.

XFCIMPORT INT XFcAudio::stopEach | ( | XFcAudioProducer * | aProducer | ) | `[static]`

Stops each instance of a certain audio producer.

Parameters:

  aProducer | Audio producer.

Returns:
  1 is operation succeeded, 0 otherwise.

XFCIMPORT void XFcAudio::unlock | ( | XFcAudioProducer * | aProducer | ) | `[static]`

Unlocks an audio producer.

If called without a prior lock(), method does nothing.

Parameters:

  aProducer | Audio producer to be unlocked.

|  | X-Forge Documentation Confidential Copyright © 2002-2003 Fathammer |  | Documentation generated with doxygen by Dimitri van Heesch